> ## Documentation Index
> Fetch the complete documentation index at: https://cal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an Event's coordinates

> Returns the `latitude` and `longitude` shown on the map of the Event's public page. Update them with `PATCH /v2/events/{uuid}/coordinates`.

The Event must have an address location.

The authenticated user must be its owner, one of its hosts, an accepted co-host, or a member of the owning team. PBAC permission for team events: `calEvent.update`. Learn more about API access control at https://cal.com/docs/api-reference/v2/access-control.

If accessed using an OAuth access token, the `EVENT_READ` scope is required.



## OpenAPI

````yaml /api-reference/v2/openapi.json get /v2/events/{uuid}/coordinates
openapi: 3.0.0
info:
  title: Cal.com API v2
  description: ''
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /v2/events/{uuid}/coordinates:
    get:
      tags:
        - Events
      summary: Get an Event's coordinates
      description: >-
        Returns the `latitude` and `longitude` shown on the map of the Event's
        public page. Update them with `PATCH /v2/events/{uuid}/coordinates`.


        The Event must have an address location.


        The authenticated user must be its owner, one of its hosts, an accepted
        co-host, or a member of the owning team. PBAC permission for team
        events: `calEvent.update`. Learn more about API access control at
        https://cal.com/docs/api-reference/v2/access-control.


        If accessed using an OAuth access token, the `EVENT_READ` scope is
        required.
      operationId: EventCoordinatesController_get
      parameters:
        - name: uuid
          required: true
          in: path
          description: >-
            Event UUID. Accepts the canonical UUID (e.g.
            `018ff5cd-6dc4-7d57-bcbc-374702ca8b38`) or its short-uuid (Flickr
            Base58) form (e.g. `1cbZYoAFoJdwqN4tixezd5`).
          schema:
            type: string
            format: uuid
        - name: Authorization
          in: header
          description: >-
            value must be `Bearer <token>` where `<token>` is api key prefixed
            with cal_, managed user access token, or OAuth access token
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventCoordinatesOutputResponseDto'
        '400':
          description: >-
            Invalid Event UUID, a cancelled Event, or an Event without an
            address location
        '401':
          description: Unauthenticated
        '403':
          description: Insufficient permissions
        '404':
          description: Event not found
components:
  schemas:
    EventCoordinatesOutputResponseDto:
      type: object
      properties:
        status:
          enum:
            - success
            - error
          type: string
          example: success
        data:
          $ref: '#/components/schemas/EventCoordinatesOutput'
      required:
        - status
        - data
    EventCoordinatesOutput:
      type: object
      properties:
        latitude:
          type: number
          example: 51.5092
          description: Latitude shown on the public Event page's map.
        longitude:
          type: number
          example: -0.1278
          description: Longitude shown on the public Event page's map.
      required:
        - latitude
        - longitude

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.